%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name Console_Table

Name:           php-pear-Console-Table
Version:        1.1.0
Release:        1%{?dist}
Summary:        Class that makes it easy to build console style tables
Summary(fr):    Classe pour fabriquer facilement des tableaux en mode console

Group:          Development/Libraries
License:        BSD
URL:            http://pear.php.net/package/Console_Table
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
Source2:        xml2changelog
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
Requires:       php-pear(PEAR)
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}

%description
Provides methods such as addRow(), insertRow(), addCol() etc. to build
console tables with or without headers.
 
%description -l fr
Fournit les méthodes comme addRow(), insertRow(), addCol() etc.
pour construire des tableaux pour la console, avec sou sans entêtes. 

%prep
%setup -q -c
[ -f package2.xml ] || mv package.xml package2.xml
%{_bindir}/php -n %{SOURCE2} package2.xml >CHANGELOG
mv package2.xml %{pear_name}-%{version}/%{pear_name}.xml
cd %{pear_name}-%{version}


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
rm -rf $RPM_BUILD_ROOT docdir
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{pear_name}.xml

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{pear_name}.xml $RPM_BUILD_ROOT%{pear_xmldir}

# Fix include path in tests
for i in $RPM_BUILD_ROOT%{pear_testdir}/Console_Table/tests/*.phpt; do
    sed -i -e 's#^require_once.*$#require_once "Console/Table.php";#' $i
done


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{pear_name}.xml >/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%check
# after install, run
# pear run-tests -p Console_Table
# => 7 PASSED TESTS


%files
%defattr(-,root,root,-)
%doc CHANGELOG 
%{pear_phpdir}/Console/Table.php
%{pear_testdir}/Console_Table
%{pear_xmldir}/Console_Table.xml


%changelog
* Sun Mar 30 2008 Remi Collet <Fedora@FamilleCollet.com> 1.1.0-1
- update to 1.1.0

* Wed Jan 09 2008 Remi Collet <Fedora@FamilleCollet.com> 1.0.8-1
- update to 1.0.8
- fix tests, http://pear.php.net/bugs/bug.php?id=12863
- add %%check
- fixed xml2changelog

* Sat May 02 2007 Remi Collet <Fedora@FamilleCollet.com> 1.0.7-1
- update to 1.0.7

* Sat Jan 20 2007 Remi Collet <Fedora@FamilleCollet.com> 1.0.6-1
- update to 1.0.6
- add CHANGELOG (generated)

* Tue Sep 13 2006 Remi Collet <Fedora@FamilleCollet.com> 1.0.5-2.fc5.1
- FC5 rebuild

* Mon Sep 11 2006 Remi Collet <Fedora@FamilleCollet.com> 1.0.5-2
- don't own %%{pear_phpdir}/Console

* Sat Sep 09 2006 Remi Collet <Fedora@FamilleCollet.com> 1.0.5-1
- generated specfile (pear make-rpm-spec) + cleaning
- add french summary and description
